[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#612834: Enable build of libpcap-1.1.1 for GNU//Hurd

Romain Francoise, le Fri 11 Feb 2011 14:32:09 +0100, a écrit :
> Svante Signell <svante.signell@telia.com> writes:
> > Attached is a one-line patch to enable libpcap-1.1.1 to build from
> > source under GNU/Hurd. Should be applied last after the other
> > patches. Build tested.
> Thanks. I'm happy to apply this if it helps, but does libpcap
> actually do anything useful on the Hurd?

To be able to build all the packages that depend on libpcap without
having to disable the dependency everywhere, yes.

> Last I looked, packet sockets weren't supported.

They still aren't. But when somebody implements it, we'll just need to
rebuild libpcap to get all apps working without having to re-ask every
maintainer to change the dependency again.


Reply to: